pkgCache::PrvIterator Class Reference
Inheritance diagram for pkgCache::PrvIterator:
[legend]
Collaboration diagram for pkgCache::PrvIterator:
[legend]

## Public Member Functions

constexpr Provides * | OwnerPointer () const noexcept
PrvIterator & | operator++ ()
PrvIterator | operator++ (int)
constexpr const char * | Name () const noexcept
constexpr const char * | ProvideVersion () const noexcept
constexpr PkgIterator | ParentPkg () const noexcept
constexpr VerIterator | OwnerVer () const noexcept
constexpr PkgIterator | OwnerPkg () const noexcept
bool | IsMultiArchImplicit () const APT_PURE
constexpr | PrvIterator (pkgCache &Owner, Provides *Trg, Version *) noexcept
constexpr | PrvIterator (pkgCache &Owner, Provides *Trg, Package *) noexcept
Public Member Functions inherited from pkgCache::Iterator< Provides, PrvIterator >
constexpr bool | end () const noexcept
constexpr bool | operator== (const PrvIterator &B) const noexcept
constexpr bool | operator!= (const PrvIterator &B) const noexcept
constexpr Provides * | operator-> () noexcept
constexpr | operator Provides * () noexcept
constexpr | operator Provides const * () const noexcept
constexpr Provides & | operator* () noexcept
constexpr pkgCache * | Cache () const noexcept
constexpr bool | IsGood () const noexcept
constexpr unsigned long | Index () const noexcept
constexpr map_pointer< Provides > | MapPointer () const noexcept
void | ReMap (void const *const oldMap, void *const newMap)

## Additional Inherited Members

Public Types inherited from pkgCache::Iterator< Provides, PrvIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< Provides, PrvIterator >
Provides * | S
pkgCache * | Owner

The documentation for this class was generated from the following file:

- apt-pkg/cacheiterators.h